• Lubomir Rintel's avatar
    build: qualify plugin dir name with a version string · 320422e4
    Lubomir Rintel authored
    This makes package updates more robust, avoiding in-place replaces of
    the plugins.
    
    Previously, if an upgrade transaction was terminated, NetworkManager
    library could end up being of a different version than the plugins.
    If the user was unfortunate enough to connect using a connection that
    required a plugin (say, Wi-Fi), he would be left without a network
    connection making it somewhat inconvenient to recover from the botched
    upgrade.
    
    This makes the whole situation a little bit less sad.
    
    The VPN plugins are kept where they always have been -- the path is not
    qualified with a version number.
    320422e4
meson.build 33.1 KB